JavaScript/jQuery Splitter - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the Splitter features that you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The Splitter component meets a variety of Section 508 and WCAG 2.x compliance standards. Known exceptions:

Section 508 criteria WCAG 2.x criteria Exception description
501 (Web)(Software)
504.2 (Authoring Tool)
602.3 (Support Docs)
1.4.3 Contrast (Minimum) (Level AA)
1.4.11 Non-text Contrast (Level AA 2.1 and 2.2)
Splitter does not support Windows High Contrast themes.
501 (Web)(Software)
504.2 (Authoring Tool)
602.3 (Support Docs)
2.1.1 Keyboard (Level A) If a pane does not include focusable elements, and the pane content is larger than its container, the pane content will not be accessible.
To resolve the issue, assign tabindex="0" either to the non-focusable element or to the element with the dx-item-content dx-splitter-item-content class.

Keyboard Navigation

NOTE
Ensure that allowKeyboardNavigation is enabled.

A user can use the following keys to interact with the Splitter component:

Key Action
← → / ↑ ↓ Moves handle bar in a 5px step.
Ctrl + Arrow Collapses a pane.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

JavaScript
  • function registerKeyHandlers () {
  • const splitter = $("#splitterContainer").dxSplitter("instance");
  • splitter.registerKeyHandler("backspace", function(e) {
  • // The argument "e" contains information on the event
  • });
  • splitter.registerKeyHandler("space", function(e) {
  • // ...
  • });
  • }

Screen Reader Support

The Splitter component supports screen readers and complies to WAI-ARIA standards.

React Splitter - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the Splitter features that you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The Splitter component meets a variety of Section 508 and WCAG 2.x compliance standards. Known exceptions:

Section 508 criteria WCAG 2.x criteria Exception description
501 (Web)(Software)
504.2 (Authoring Tool)
602.3 (Support Docs)
1.4.3 Contrast (Minimum) (Level AA)
1.4.11 Non-text Contrast (Level AA 2.1 and 2.2)
Splitter does not support Windows High Contrast themes.
501 (Web)(Software)
504.2 (Authoring Tool)
602.3 (Support Docs)
2.1.1 Keyboard (Level A) If a pane does not include focusable elements, and the pane content is larger than its container, the pane content will not be accessible.
To resolve the issue, assign tabindex="0" either to the non-focusable element or to the element with the dx-item-content dx-splitter-item-content class.

Keyboard Navigation

NOTE
Ensure that allowKeyboardNavigation is enabled.

A user can use the following keys to interact with the Splitter component:

Key Action
← → / ↑ ↓ Moves handle bar in a 5px step.
Ctrl + Arrow Collapses a pane.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Splitter } from 'devextreme-react/splitter';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.splitterRef = React.createRef();
  • }
  •  
  • render() {
  • return (
  • <Splitter ref={this.splitterRef} />
  • );
  • }
  •  
  • get splitter() {
  • return this.splitterRef.current.instance();
  • }
  •  
  • componentDidMount() {
  • this.splitter.registerKeyHandler('backspace', function(e) {
  • // The argument "e" contains information on the event
  • });
  • this.splitter.registerKeyHandler('space', function(e) {
  • // ...
  • });
  • }
  • }
  •  
  • export default App;

Screen Reader Support

The Splitter component supports screen readers and complies to WAI-ARIA standards.